Mailinglist Archive: opensuse-updates (99 mails)

< Previous Next >
openSUSE-SU-2013:0318-1: moderate: postgresql91: update to 9.1.8
openSUSE Security Update: postgresql91: update to 9.1.8
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0318-1
Rating: moderate
References: #802679
Cross-References: CVE-2013-0255
Affected Products:
openSUSE 12.2
openSUSE 12.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


PostgreSQL was updated to version 9.1.8 (bnc#802679):
* Prevent execution of enum_recv from SQL (CVE-2013-0255).
* Fix multiple problems in detection of when a consistent
database state has been reached during WAL replay
* Update minimum recovery point when truncating a
relation file
* Fix recycling of WAL segments after changing recovery
target timeline
* Fix missing cancellations in hot standby mode
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.1/static/release-9-1-8.html
/usr/share/doc/packages/postgresql/HISTORY

- Remove postgresql91-full.spec.in and use
postgresql91.spec as the master for generating
postgresql91-libs.spec.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-139

- openSUSE 12.1:

zypper in -t patch openSUSE-2013-139

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

libecpg6-9.1.8-16.1
libecpg6-debuginfo-9.1.8-16.1
libpq5-9.1.8-16.1
libpq5-debuginfo-9.1.8-16.1
postgresql91-9.1.8-16.1
postgresql91-contrib-9.1.8-16.1
postgresql91-contrib-debuginfo-9.1.8-16.1
postgresql91-debuginfo-9.1.8-16.1
postgresql91-debugsource-9.1.8-16.1
postgresql91-devel-9.1.8-16.1
postgresql91-devel-debuginfo-9.1.8-16.1
postgresql91-libs-debugsource-9.1.8-16.1
postgresql91-plperl-9.1.8-16.1
postgresql91-plperl-debuginfo-9.1.8-16.1
postgresql91-plpython-9.1.8-16.1
postgresql91-plpython-debuginfo-9.1.8-16.1
postgresql91-pltcl-9.1.8-16.1
postgresql91-pltcl-debuginfo-9.1.8-16.1
postgresql91-server-9.1.8-16.1
postgresql91-server-debuginfo-9.1.8-16.1

- openSUSE 12.2 (x86_64):

libecpg6-32bit-9.1.8-16.1
libecpg6-debuginfo-32bit-9.1.8-16.1
libpq5-32bit-9.1.8-16.1
libpq5-debuginfo-32bit-9.1.8-16.1
postgresql91-devel-32bit-9.1.8-16.1
postgresql91-devel-debuginfo-32bit-9.1.8-16.1

- openSUSE 12.2 (noarch):

postgresql91-docs-9.1.8-16.1

- openSUSE 12.1 (i586 x86_64):

libecpg6-9.1.8-21.1
libecpg6-debuginfo-9.1.8-21.1
libpq5-9.1.8-21.1
libpq5-debuginfo-9.1.8-21.1
postgresql91-9.1.8-21.1
postgresql91-contrib-9.1.8-21.1
postgresql91-contrib-debuginfo-9.1.8-21.1
postgresql91-debuginfo-9.1.8-21.1
postgresql91-debugsource-9.1.8-21.1
postgresql91-devel-9.1.8-21.1
postgresql91-devel-debuginfo-9.1.8-21.1
postgresql91-libs-debugsource-9.1.8-21.1
postgresql91-plperl-9.1.8-21.1
postgresql91-plperl-debuginfo-9.1.8-21.1
postgresql91-plpython-9.1.8-21.1
postgresql91-plpython-debuginfo-9.1.8-21.1
postgresql91-pltcl-9.1.8-21.1
postgresql91-pltcl-debuginfo-9.1.8-21.1
postgresql91-server-9.1.8-21.1
postgresql91-server-debuginfo-9.1.8-21.1

- openSUSE 12.1 (x86_64):

libecpg6-32bit-9.1.8-21.1
libecpg6-debuginfo-32bit-9.1.8-21.1
libpq5-32bit-9.1.8-21.1
libpq5-debuginfo-32bit-9.1.8-21.1
postgresql91-devel-32bit-9.1.8-21.1
postgresql91-devel-debuginfo-32bit-9.1.8-21.1

- openSUSE 12.1 (noarch):

postgresql91-docs-9.1.8-21.1

- openSUSE 12.1 (ia64):

libecpg6-debuginfo-x86-9.1.8-21.1
libecpg6-x86-9.1.8-21.1
libpq5-debuginfo-x86-9.1.8-21.1
libpq5-x86-9.1.8-21.1
postgresql91-devel-debuginfo-x86-9.1.8-21.1


References:

http://support.novell.com/security/cve/CVE-2013-0255.html
https://bugzilla.novell.com/802679


< Previous Next >
This Thread
  • No further messages